summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-25 13:54:49 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-25 13:54:49 +0100
commit69f00384710a5d74f86c271ccd5bae682d68b1dd (patch)
tree73162ffd8079ea68df44898204164973f3b5e2e4 /bin
parent19112edef8ecb6e7798cfbf0f463fb936cd86042 (diff)
downloadjenkins.debian.net-69f00384710a5d74f86c271ccd5bae682d68b1dd.tar.xz
reproducible: add seventh armhf build node, thanks again to vagrant
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common-functions.sh12
-rwxr-xr-xbin/jenkins_master_wrapper.sh2
-rwxr-xr-xbin/reproducible_common.sh2
3 files changed, 9 insertions, 7 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index f809cdb9..fb79dc15 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -60,16 +60,16 @@ else
fi
if [ -z "$MIRROR" ]; then
case $HOSTNAME in
- jenkins|profitbricks-build?-amd64) export MIRROR=http://ftp.de.debian.org/debian ;;
- bpi0|cbxi4pro0|hb0|wbq0|odxu4|wbd0) export MIRROR=http://ftp.us.debian.org/debian ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|profitbricks-build?-amd64) export MIRROR=http://ftp.de.debian.org/debian ;;
+ bpi0|cbxi4pro0|hb0|wbq0|odxu4|wbd0|rpi2b) export MIRROR=http://ftp.us.debian.org/debian ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$http_proxy" ]; then
case $HOSTNAME in
- jenkins|profitbricks-build?-amd64) export http_proxy="http://localhost:3128" ;;
- bpi0|cbxi4pro0|hb0|wbq0|odxu4|wbd0) export http_proxy="http://10.0.0.15:8000/" ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|profitbricks-build?-amd64) export http_proxy="http://localhost:3128" ;;
+ bpi0|cbxi4pro0|hb0|wbq0|odxu4|wbd0|rpi2b) export http_proxy="http://10.0.0.15:8000/" ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$CHROOT_BASE" ]; then
diff --git a/bin/jenkins_master_wrapper.sh b/bin/jenkins_master_wrapper.sh
index 0b60c8e3..88fc1473 100755
--- a/bin/jenkins_master_wrapper.sh
+++ b/bin/jenkins_master_wrapper.sh
@@ -31,6 +31,8 @@ case "$NODE_NAME" in
;;
wbd0-armhf-rb.debian.net)
PORT=2223
+ rpi2b-armhf-rb.debian.net)
+ PORT=2230
;;
profitbricks-build?-amd64.debian.net)
PORT=22
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 951884cd..0a6590b7 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -46,7 +46,7 @@ SUITES="testing unstable experimental"
ARCHS="armhf amd64"
# define build nodes in use
-BUILD_NODES="profitbricks-build1-amd64.debian.net profitbricks-build2-amd64.debian.net profitbricks-build5-amd64.debian.net profitbricks-build6-amd64.debian.net wbq0-armhf-rb.debian.net cbxi4pro0-armhf-rb.debian.net bpi0-armhf-rb.debian.net hb0-armhf-rb.debian.net odxu4-armhf-rb.debian.net wbd0-armhf-rb.debian.net" # these also needs to be defined in bin/jenkins_master_wrapper.sh
+BUILD_NODES="profitbricks-build1-amd64.debian.net profitbricks-build2-amd64.debian.net profitbricks-build5-amd64.debian.net profitbricks-build6-amd64.debian.net wbq0-armhf-rb.debian.net cbxi4pro0-armhf-rb.debian.net bpi0-armhf-rb.debian.net hb0-armhf-rb.debian.net odxu4-armhf-rb.debian.net wbd0-armhf-rb.debian.net rpi2b-armhf-rb.debian.net" # these also needs to be defined in bin/jenkins_master_wrapper.sh
BUILD_ENV_VARS="ARCH NUM_CPU CPU_MODEL DATETIME KERNEL1 KERNEL2" # these also needs to be defined in bin/reproducible_info.sh
# existing usertags